//#include "match.h"
#include <iostream>
#include <math.h>
#include "batchProcessor.h"
#include <time.h>


void main(int argc, char *argv[])
{
	
	
	time_t start ,end ; 
	time(&start); 


	
	
	char lpath[255] = "./data/labeled-images/";
	char tpath[255] = "./data/test-images/";
	batchProcessor *processor = new batchProcessor;
	processor->imageSimplify(lpath,25);
	processor->imageSimplify(tpath,50,false);
	processor->batchRetrieval(tpath,lpath);


	delete processor;

	time(&end);
	double cost=difftime(end,start);  
	printf("match time %lf\n",cost); 
	
}